Total Access Docs
Openapi

Create a new OAuth2 app

POST
/api/v1/oauth/apps

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for REST API endpoints (user-facing apps).

Authorization: Bearer <jwt_access_token>

Tokens expire after 15 minutes. Use the refresh token to obtain a new one.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/oauth/apps" \  -H "Content-Type: application/json" \  -d '{    "app_name": "string",    "redirect_uris": [      "string"    ],    "scopes": [      "string"    ],    "auth_flows": [      "authorization_code"    ]  }'
{  "success": true,  "data": {    "id": "string",    "app_name": "string",    "description": "string",    "logo_url": "string",    "homepage_url": "string",    "category": "string",    "client_id": "string",    "redirect_uris": [      "string"    ],    "scopes": [      "string"    ],    "auth_flows": [      "authorization_code"    ],    "is_public": true,    "status": "pending",    "developer_id": 0,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "client_secret": "string"}
{  "success": false,  "error": {    "code": "BAD_REQUEST",    "message": "Request body is empty. Expected JSON with action field.",    "request_id": "req_abc123",    "documentation_url": "https://dev-developer.totalaccess.co.za/docs/api-reference/errors#bad_request"  }}